require 'eventmachine'

require 'em-zipper/base'
require 'em-zipper/entry'
require 'em-zipper/chunks'
require 'em-zipper/zip_output_stream'
require 'em-zipper/stream_io'

module EventMachine
  module Zipper
    def self.new(files, io)
      Base.new files, ZipOutputStream.new(io)
    end
  end
end

