require 'zip/zip'

module EventMachine
  module Zipper
    class ZipOutputStream < ::Zip::ZipOutputStream
      include EventMachine::Deferrable

      def initialize(io)
        super '-', true
        @outputStream = io
      end

      def io
        @outputStream
      end

      def update_local_headers
        nil
      end
    end
  end
end
